<div class="assignmentSkillWrap">


  <div class="bredcum">


    <div class="menuTab pull-left">
      <ul>
        <li>
          <p>Grading  Type Details</p>
        </li>

      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean" (click)="openPopup()" >
        Add Grading Type
      </button>
    </div>
  </div>

  <div class="titleBar">

    <br>

    <table style="width:100%" class="skillDetailsTable">
      <tr>
        <th>Grading Type Name</th>
        <th>Grading Type Description</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      <tr *ngFor="let gradingTypeObj of gradingTypeList">
        <td>{{gradingTypeObj.gradingName}}</td>
        <td>{{gradingTypeObj.gradingTypeDesp}}</td>
        <td> <button class="btn btn-cyean " (click)="editIntermediatePopUp(gradingTypeObj)">
          Edit Grading Type
        </button></td>
        <td> <button class="btn btn-cyean " (click)="deleteIntermediatePopUp(gradingTypeObj)">
          Delete Grading Type
        </button></td>
      </tr>

    </table>
  </div>


</div>



<div class="popWrap gradingPopup" id="createGradingType">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 *ngIf="!isEdit">create Grading Type</h4>
        <h4  *ngIf="isEdit">Edit Grading Type</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <form #gradingType="ngForm">
        <div class="row">
          <div class="col-sm-12">
            <div class="inputCont" [class.has-error]="gradingTypeObj.touched && gradingTypeObj.invalid">
              <label for="assignmentName">Grading Type Name <span style="color:red">*</span></label>
              <div class="search">
                <input type="text"  [(ngModel)]="gradingTypeObj.gradingName" name="assignmentName" id="assignmentName"
                       #assignmentName="ngModel"  required placeholder="Grading Type Name"/>
              </div>
              <span class="alert-msg" *ngIf="assignmentName.touched && assignmentName.invalid">Please Grading Type Name.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <label for="assignmentName" style="display:block;margin:20px 0" >Grading Description <span style="color:red">*</span></label>
          <textarea [(ngModel)]="gradingTypeObj.gradingTypeDesp" required name=description id="description"
                    #description="ngModel" style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"></textarea>
          <span class="alert-msg" *ngIf="description.touched && description.invalid">Please Enter  Grading Type  Description</span>
        </div>
        <div class="row">
          <div class="col-sm-6">
            <button class="btn btn-create" *ngIf="!isEdit"  (click)="saveGradingType()" [disabled]="!gradingType.form.valid">Save</button>
            <button class="btn btn-create" *ngIf="isEdit" (click)="updateGradingType()" [disabled]="!gradingType.form.valid">Update</button>
          </div>
          <div class="col-sm-6">
            <button class="btn  btn-Close"  (click)="hidePopup()" >Close</button>
          </div>
        </div>
      </form>
    </div>

  </div>
</div>


<div class="popWrap gradingPopup" id="deleteGradingType">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 >Delete Grading Type</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnDeleteHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <div class="row">
        <div class="col-sm-12">
          <p>Are sure u want to delete {{deletetypeObj.gradingTypeObj}}</p>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-create" (click)="deleteGradingType(deletetypeObj)" >Delete</button>
        </div>
        <div class="col-sm-6">
          <button class="btn  btn-Close"  (click)="closeDeletePopup()" >Close</button>
        </div>
      </div>

    </div>

  </div>
</div>
